GET api/NTNonInjury/GetSnapshotDetails?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfNonInjurySnapshotDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | NonInjurySnapshotDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"CaseNo": 1,
"CaseTypeId": 1,
"ChiefComplain": "sample string 2",
"DateOfExposure": "2026-06-20T03:00:35.2548385-07:00",
"DateOfSymptomsBegan": "2026-06-20T03:00:35.2548385-07:00",
"EncounterDate": "2026-06-20T03:00:35.2548385-07:00",
"EncounterTime": "00:00:00.1234567",
"TimeZoneAbbreviation": "sample string 3",
"DateOfTest": "2026-06-20T03:00:35.2548385-07:00",
"TestResult": 1,
"TestTypeId": 1,
"CovidTestTypeName": "sample string 4",
"CaseTypeName": "sample string 5",
"HotlineNumber": "sample string 6",
"IsDemographicDownload": true,
"IsContractorCovered": true
},
"totalCount": 3
}